package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.BalanceDay;
import com.ruoyi.system.domain.BalancePiece;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Shawn
 */
public interface SysBalanceMapper {

    List<BalancePiece> getBalancePiece(@Param("unittype") String unittype, @Param("unitNum") String unitNum, @Param("from") String date, @Param("to") String to);

    List<BalanceDay> getBalanceDay(@Param("unittype") String unittype, @Param("unitNum") String unitNum, @Param("from") String date, @Param("to") String to);

    int insertBalanceStatus(@Param("userId") String userId,@Param("userName") String userName,@Param("unitId") String unitId,@Param("monthId") String monthId);

    String selectBalanceStatus(@Param("userName") String userName,@Param("unitId") String unitId,@Param("monthId") String monthId);

    int insertBalancePiece(BalancePiece balancePiece);

    int insertBalanceDay(BalanceDay balanceDay);
}
